Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2967213002: Fix ASSERT in JingleMessage::OrderedMessageQueue. (Closed)

Created:
2 years, 4 months ago by kelvinp
Modified:
2 years, 4 months ago
Reviewers:
Sergey Ulanov
CC:
chromium-reviews, chromoting-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix ASSERT in JingleMessage::OrderedMessageQueue. Session-initate messages doesn't go through JingleSession::OnIncomingMessage() We need to initialize the OrderedMessageQueue with the id of the session-initiate message. BUG=694083 Review-Url: https://codereview.chromium.org/2967213002 Cr-Commit-Position: refs/heads/master@{#484385} Committed: https://chromium.googlesource.com/chromium/src/+/18a8dd58a06879fec5b97e682e3bc6e90899bbab

Patch Set 1 #

Total comments: 6

Patch Set 2 : Reviewer's feedback #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -1 line) Patch
M remoting/protocol/jingle_session.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M remoting/protocol/jingle_session.cc View 1 4 chunks +11 lines, -0 lines 0 comments Download
M remoting/protocol/jingle_session_manager.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 12 (7 generated)
kelvinp
PTAL
2 years, 4 months ago (2017-07-05 17:55:08 UTC) #2
Sergey Ulanov
lgtm when my style nits are addressed https://codereview.chromium.org/2967213002/diff/1/remoting/protocol/jingle_session.cc File remoting/protocol/jingle_session.cc (right): https://codereview.chromium.org/2967213002/diff/1/remoting/protocol/jingle_session.cc#newcode119 remoting/protocol/jingle_session.cc:119: void setInitialId(const ...
2 years, 4 months ago (2017-07-05 18:00:15 UTC) #3
kelvinp
FYI https://codereview.chromium.org/2967213002/diff/1/remoting/protocol/jingle_session.cc File remoting/protocol/jingle_session.cc (right): https://codereview.chromium.org/2967213002/diff/1/remoting/protocol/jingle_session.cc#newcode119 remoting/protocol/jingle_session.cc:119: void setInitialId(const std::string& id); On 2017/07/05 18:00:14, Sergey ...
2 years, 4 months ago (2017-07-05 22:29:41 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2967213002/20001
2 years, 4 months ago (2017-07-05 22:31:00 UTC) #7
commit-bot: I haz the power
2 years, 4 months ago (2017-07-06 00:13:29 UTC) #12
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/18a8dd58a06879fec5b97e682e3b...

Powered by Google App Engine
This is Rietveld 408576698